##################
# v(S) fit to data
##################

# Clearing Workspace and loading packages
# rm(list = ls())

# Egg viability based on data from Johnson & Albright 1991
sal <- c(10, 15, 20, 25, 30)
sur <- c(0, 0, 0.198, 0.511, 0.659)
Vdata <- data.frame(sal,sur) 
Vdata
plot(sal, sur)

# Fitting Linear Model
Vlm <- lm(sur~sal)
Vlm
summary(Vlm)
abline(Vlm)

# Values from Vlm
sigma0e <- -0.458
sigma1e <- 0.037 

